"""
Media relation
"""

from piccolo.table import Table
from piccolo.columns import UUID, Text, Boolean, Date
from piccolo.columns.defaults.date import DateNow


class Media(Table):
    """
    A piece of media on a CDN
    """

    media_id = UUID(primary_key=True)
    media_url = Text(null=False)
    flagged = Boolean(default=False, null=False)
    deleted = Boolean(default=False, null=False)
    creation_date = Date(default=DateNow(), null=False)
